Bug 202414 - [PATCH] dns/dnscrypt-proxy: Update to v1.6.0
Summary: [PATCH] dns/dnscrypt-proxy: Update to v1.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mark Felder
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-08-18 11:56 UTC by lightside
Modified: 2015-08-28 02:36 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (freebsd)


Attachments
Proposed patch (since 389468 revision) (1.31 KB, patch)
2015-08-18 11:56 UTC, lightside
no flags Details | Diff
The poudriere testport log (FreeBSD 10 amd64) (11.73 KB, application/x-bzip2)
2015-08-18 11:57 UTC, lightside
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2015-08-18 11:56:59 UTC
Created attachment 159977 [details]
Proposed patch (since 389468 revision)

Patch to update dns/dnscrypt-proxy port from 1.4.3 to 1.6.0 version.

Look following link for changes:
https://github.com/jedisct1/dnscrypt-proxy/compare/1.4.3...1.6.0
Comment 1 lightside 2015-08-18 11:57:32 UTC
Created attachment 159978 [details]
The poudriere testport log (FreeBSD 10 amd64)
Comment 2 Mark Felder freebsd_committer 2015-08-27 14:58:57 UTC
I can take this
Comment 3 commit-hook freebsd_committer 2015-08-27 15:16:07 UTC
A commit references this bug:

Author: feld
Date: Thu Aug 27 15:15:22 UTC 2015
New revision: 395430
URL: https://svnweb.freebsd.org/changeset/ports/395430

Log:
  dns/dnscrypt-proxy: Update to 1.6.0

  rc script is also updated to change default dnscrypt server to "cisco"
  which is the new name for the opendns dnscrypt service

  PR:		202414

Changes:
  head/dns/dnscrypt-proxy/Makefile
  head/dns/dnscrypt-proxy/distinfo
  head/dns/dnscrypt-proxy/files/dnscrypt-proxy.in
  head/dns/dnscrypt-proxy/pkg-plist
Comment 4 Mark Felder freebsd_committer 2015-08-27 15:21:30 UTC
patch committed with minor changes

dnscrypt is something I use and I have tested the update. I also mistakenly thought submitter was maintainer. I've emailed maintainer directly to address this mistake.
Comment 5 lightside 2015-08-28 02:36:54 UTC
Hello, Mark Felder.

Thanks for the changes about default resolver to "cisco". In my case, I used already existed non-default resolver, therefore I didn't spot this change. In other words, this update also tested and works for me too.